### Constructor

# Camel MessageInfo new

since: 3.24

#### Declaration [src]

    CamelMessageInfo*
    camel_message_info_new (
      _CamelFolderSummary* summary
    )

#### Description [src]

Create a new `CamelMessageInfo` object, optionally for given `summary`.

Available since: 3.24

#### Parameters

`summary`

  Type: `CamelFolderSummary`

  Parent `CamelFolderSummary` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `CamelMessageInfo`

A new `CamelMessageInfo` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.